<?php
/**
 * Estate Rental Listings Theme Customizer
 *
 * @package Estate Rental Listings
 */

function Estate_Rental_Listings_Customize_register( $wp_customize ) {

	load_template( trailingslashit( get_template_directory() ) . 'revolution/inc/fontawesome-change.php' );
	
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'Estate_Rental_Listings_Customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'Estate_Rental_Listings_Customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('estate_rental_listings_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Estate Rental Listings Theme Options', 'estate-rental-listings'),
	));

	/*
	* Customizer main header section
	*/

	$wp_customize->add_setting(
		'estate_rental_listings_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_site_title_text',
		array(
			'label'       => __('Enable Title', 'estate-rental-listings'),
			'description' => __('Enable or Disable Title from the site', 'estate-rental-listings'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'estate_rental_listings_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'estate-rental-listings'),
			'description' => __('Enable or Disable Tagline from the site', 'estate-rental-listings'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

		$wp_customize->add_setting(
		'estate_rental_listings_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'estate-rental-listings'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

	/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'estate-rental-listings'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'estate_rental_listings_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'estate-rental-listings'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'estate_rental_listings_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'estate-rental-listings'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 12,
	             'step' => 1,
	         ),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'estate_rental_listings_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'estate-rental-listings'),
			'description' => __('Checked to show Related Product', 'estate-rental-listings'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'estate-rental-listings'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 20,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'estate-rental-listings'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('estate_rental_listings_archive_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'estate_rental_listings_sanitize_choices'
	));
	$wp_customize->add_control('estate_rental_listings_archive_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Archive Product Layout','estate-rental-listings'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','estate-rental-listings'),
            'layout-2' => esc_html__('Sidebar On Left','estate-rental-listings'),
			'layout-3' => esc_html__('Full Width Layout','estate-rental-listings')
        ),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('estate_rental_listings_single_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'estate_rental_listings_sanitize_choices'
	));
	$wp_customize->add_control('estate_rental_listings_single_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Product Layout','estate-rental-listings'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','estate-rental-listings'),
            'layout-2' => esc_html__('Sidebar On Left','estate-rental-listings'),
			'layout-3' => esc_html__('Full Width Layout','estate-rental-listings')
        ),
	) );

	$wp_customize->add_setting('estate_rental_listings_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => 'Right',
        'sanitize_callback' => 'estate_rental_listings_sanitize_choices'
    ));
    $wp_customize->add_control('estate_rental_listings_woocommerce_product_sale',array(
        'label'       => esc_html__( 'Woocommerce Product Sale Positions','estate-rental-listings' ),
        'type' => 'select',
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'Right' => __('Right','estate-rental-listings'),
            'Left' => __('Left','estate-rental-listings'),
            'Center' => __('Center','estate-rental-listings')
        ),
    ) );

	/*Additional Options*/
	$wp_customize->add_section('estate_rental_listings_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'estate-rental-listings'),
		'panel'       => 'estate_rental_listings_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'estate_rental_listings_enable_sticky_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_enable_sticky_header',
		array(
			'label'       => __('Enable Sticky Header', 'estate-rental-listings'),
			'description' => __('Checked to enable sticky header', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'estate_rental_listings_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'estate-rental-listings'),
			'description' => __('Checked to show preloader', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'estate_rental_listings_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'estate-rental-listings'),
			'description' => __('Checked to show Breadcrumbs', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'estate_rental_listings_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'estate-rental-listings'),
			'description' => __('Checked to show Pagination', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Select Type Option*/
	$wp_customize->add_setting('estate_rental_listings_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'estate_rental_listings_sanitize_choices'
	));
	$wp_customize->add_control('estate_rental_listings_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','estate-rental-listings'),
        'section' => 'estate_rental_listings_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','estate-rental-listings'),
            'type-2' => esc_html__('Type 2','estate-rental-listings'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('estate_rental_listings_archive_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'estate_rental_listings_sanitize_choices'
	));
	$wp_customize->add_control('estate_rental_listings_archive_layout',array(
        'type' => 'select',
        'label' => esc_html__('Posts Layout','estate-rental-listings'),
        'section' => 'estate_rental_listings_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','estate-rental-listings'),
            'layout-2' => esc_html__('Sidebar On Left','estate-rental-listings'),
			'layout-3' => esc_html__('Full Width Layout','estate-rental-listings')
        ),
	) );

	/*single post layout*/
	$wp_customize->add_setting('estate_rental_listings_post_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'estate_rental_listings_sanitize_choices'
	));
	$wp_customize->add_control('estate_rental_listings_post_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Post Layout','estate-rental-listings'),
        'section' => 'estate_rental_listings_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','estate-rental-listings'),
            'layout-2' => esc_html__('Sidebar On Left','estate-rental-listings'),
			'layout-3' => esc_html__('Full Width Layout','estate-rental-listings')
        ),
	) );

	/*single page layout*/
	$wp_customize->add_setting('estate_rental_listings_page_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'estate_rental_listings_sanitize_choices'
	));
	$wp_customize->add_control('estate_rental_listings_page_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Page Layout','estate-rental-listings'),
        'section' => 'estate_rental_listings_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','estate-rental-listings'),
            'layout-2' => esc_html__('Sidebar On Left','estate-rental-listings'),
			'layout-3' => esc_html__('Full Width Layout','estate-rental-listings')
        ),
	) );

	/*Archive Post Options*/
	$wp_customize->add_section('estate_rental_listings_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'estate-rental-listings'),
		'panel'       => 'estate_rental_listings_panel',
	));

	$wp_customize->add_setting('estate_rental_listings_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
	));
	$wp_customize->add_control('estate_rental_listings_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'estate-rental-listings'),
		'description' => __('Checked To Show Blog Post Title', 'estate-rental-listings'),
		'section'     => 'estate_rental_listings_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('estate_rental_listings_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
	));
	$wp_customize->add_control('estate_rental_listings_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'estate-rental-listings'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'estate-rental-listings'),
		'section'     => 'estate_rental_listings_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('estate_rental_listings_enable_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
	));
	$wp_customize->add_control('estate_rental_listings_enable_blog_post_tags',array(
		'label'       => __('Enable Blog Post Tags', 'estate-rental-listings'),
		'description' => __('Checked To Show Blog Post Tags', 'estate-rental-listings'),
		'section'     => 'estate_rental_listings_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('estate_rental_listings_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
	));
	$wp_customize->add_control('estate_rental_listings_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'estate-rental-listings'),
		'description' => __('Checked To Show Blog Post Image', 'estate-rental-listings'),
		'section'     => 'estate_rental_listings_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('estate_rental_listings_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
	));
	$wp_customize->add_control('estate_rental_listings_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'estate-rental-listings'),
		'description' => __('Checked To Show Blog Post Content', 'estate-rental-listings'),
		'section'     => 'estate_rental_listings_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('estate_rental_listings_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
	));
	$wp_customize->add_control('estate_rental_listings_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'estate-rental-listings'),
		'description' => __('Checked To Show Blog Post Read More Button', 'estate-rental-listings'),
		'section'     => 'estate_rental_listings_blog_post_section',
		'type'        => 'checkbox',
	));

	/*Blog post Content layout*/
	$wp_customize->add_setting('estate_rental_listings_blog_Post_content_layout',array(
        'default' => 'Left',
        'sanitize_callback' => 'estate_rental_listings_sanitize_choices'
	));
	$wp_customize->add_control('estate_rental_listings_blog_Post_content_layout',array(
        'type' => 'select',
        'label' => esc_html__('Blog Post Content Layout','estate-rental-listings'),
        'section' => 'estate_rental_listings_blog_post_section',
        'choices' => array(
            'Left' => esc_html__('Left','estate-rental-listings'),
            'Center' => esc_html__('Center','estate-rental-listings'),
            'Right' => esc_html__('Right','estate-rental-listings')
        ),
	) );

	/*Excerpt*/
    $wp_customize->add_setting(
		'estate_rental_listings_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 2,
	             'max' => 50,
	             'step' => 2,
	         ),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'estate_rental_listings_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('estate_rental_listings_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'estate-rental-listings'),
		'panel'       => 'estate_rental_listings_panel',
	));

	$wp_customize->add_setting('estate_rental_listings_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
	));
	$wp_customize->add_control('estate_rental_listings_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'estate-rental-listings'),
		'description' => __('Checked To Show Single Blog Post Title', 'estate-rental-listings'),
		'section'     => 'estate_rental_listings_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('estate_rental_listings_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
	));
	$wp_customize->add_control('estate_rental_listings_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'estate-rental-listings'),
		'description' => __('Checked To Show Single Blog Post Meta Feilds', 'estate-rental-listings'),
		'section'     => 'estate_rental_listings_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('estate_rental_listings_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
	));
	$wp_customize->add_control('estate_rental_listings_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'estate-rental-listings'),
		'description' => __('Checked To Show Single Blog Post Tags', 'estate-rental-listings'),
		'section'     => 'estate_rental_listings_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('estate_rental_listings_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
	));
	$wp_customize->add_control('estate_rental_listings_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'estate-rental-listings'),
		'description' => __('Checked To Show Single Post Image', 'estate-rental-listings'),
		'section'     => 'estate_rental_listings_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('estate_rental_listings_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
	));
	$wp_customize->add_control('estate_rental_listings_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'estate-rental-listings'),
		'description' => __('Checked To Show Single Blog Post Content', 'estate-rental-listings'),
		'section'     => 'estate_rental_listings_single_post_section',
		'type'        => 'checkbox',
	));

	/*Related Post Enable Option*/
	$wp_customize->add_setting(
		'estate_rental_listings_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'estate-rental-listings'),
			'description' => __('Checked to show Related Post', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*Related post Edit Text*/
	$wp_customize->add_setting(
		'estate_rental_listings_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_single_post_section',
			'type'        => 'text',
		)
	);	

	/*Related Post Per Page*/
	$wp_customize->add_setting(
		'estate_rental_listings_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_related_post_count',
		array(
			'label'       => __('Related Post Count', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 9,
	             'step' => 1,
	         ),
		)
	);

	/* Comment Section Enable Option*/
	$wp_customize->add_setting(
		'travel_tourist_enable_comment_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'travel_tourist_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'travel_tourist_enable_comment_section',
		array(
			'label'       => __('Enable Comment Section', 'travel-tourist'),
			'description' => __('Checked to show Comment Section', 'travel-tourist'),
			'section'     => 'travel_tourist_single_post_section',
			'type'        => 'checkbox',
		)
	);

		/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('estate_rental_listings_global_color_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'estate-rental-listings'),
		'panel'       => 'estate_rental_listings_panel',
	));

	$wp_customize->add_setting( 'estate_rental_listings_primary_color',
		array(
		'default'           => '#43cade',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'estate_rental_listings_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'estate-rental-listings' ),
			'section'    => 'estate_rental_listings_global_color_section',
			'settings'   => 'estate_rental_listings_primary_color',
		) ) 
	);

	$wp_customize->add_setting( 'estate_rental_listings_secondary_color',
		array(
		'default'           => '#000',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'estate_rental_listings_secondary_color',
		array(
			'label'      => esc_html__( 'Secondary Color', 'estate-rental-listings' ),
			'section'    => 'estate_rental_listings_global_color_section',
			'settings'   => 'estate_rental_listings_secondary_color',
		) ) 
	);


	/*Typography Options*/
	$wp_customize->add_section( 'estate_rental_listings_typography_section', array(
		'panel'       => 'estate_rental_listings_panel',
        'title'    => __( 'Typography Options', 'estate-rental-listings' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'estate_rental_listings_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'estate_rental_listings_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'estate_rental_listings_font_family', array(
		'label'    => __( 'Global Font Family', 'estate-rental-listings' ),
		'section'  => 'estate_rental_listings_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'estate-rental-listings' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
			// Add new fonts here
			'poppins'            => 'Poppins',
			'lato'               => 'Lato',
			'source_sans_pro'    => 'Source Sans Pro',
			'quicksand'          => 'Quicksand',
			'nunito'             => 'Nunito',
			'montserrat'         => 'Montserrat',
			'roboto_condensed'   => 'Roboto Condensed',
			'playfair_display_sc'=> 'Playfair Display SC',
			'alegreya'           => 'Alegreya',
			'fira_sans'          => 'Fira Sans',
		),
	) );

	
	
	/*Main Header Options*/
	$wp_customize->add_section('estate_rental_listings_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Header Options', 'estate-rental-listings'),
		'panel'       => 'estate_rental_listings_panel',
	));

	/*
	* Customizer main header section
	*/

	/*Main Header Options*/
	$wp_customize->add_section('estate_rental_listings_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Header Options', 'estate-rental-listings'),
		'panel'       => 'estate_rental_listings_panel',
	));

	/*Main Header Address Text*/
	$wp_customize->add_setting(
		'estate_rental_listings_header_info_address',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Broklyn Street, London',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_header_info_address',
		array(
			'label'       => __('Edit Address ', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting(
		'estate_rental_listings_header_info_address_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Visit us',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_header_info_address_text',
		array(
			'label'       => __('Edit Address Text ', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_header_section',
			'type'        => 'text',
		)
	);


	$wp_customize->add_setting('estate_rental_listings_header_location_icon',array(
		'default'	=> 'fas fa-map-marker-alt',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Estate_Rental_Listings_Icon_Changer(
        $wp_customize,'estate_rental_listings_header_location_icon',array(
		'label'	=> __('Address Icon','estate-rental-listings'),
		'transport' => 'refresh',
		'section'	=> 'estate_rental_listings_header_section',
		'type'		=> 'icon'
	)));

	/*Main Header Phone Text*/
	$wp_customize->add_setting(
		'estate_rental_listings_header_info_phone',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '00 123 456 7890',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_header_info_phone',
		array(
			'label'       => __('Edit Phone Number ', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting(
		'estate_rental_listings_header_info_phone_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Phone line',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_header_info_phone_text',
		array(
			'label'       => __('Edit Phone Text ', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('estate_rental_listings_header_phone_icon',array(
		'default'	=> 'fas fa-phone-volume',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Estate_Rental_Listings_Icon_Changer(
        $wp_customize,'estate_rental_listings_header_phone_icon',array(
		'label'	=> __('Phone Number Icon','estate-rental-listings'),
		'transport' => 'refresh',
		'section'	=> 'estate_rental_listings_header_section',
		'type'		=> 'icon'
	)));

	/*Main Header Phone Text*/
	$wp_customize->add_setting(
		'estate_rental_listings_header_info_email',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'info@example.com',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_header_info_email',
		array(
			'label'       => __('Edit Email Address ', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting(
		'estate_rental_listings_header_info_email_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Email address',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_header_info_email_text',
		array(
			'label'       => __('Edit Email Text ', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('estate_rental_listings_header_mail_icon',array(
		'default'	=> 'fas fa-at',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Estate_Rental_Listings_Icon_Changer(
        $wp_customize,'estate_rental_listings_header_mail_icon',array(
		'label'	=> __('Mail Icon','estate-rental-listings'),
		'transport' => 'refresh',
		'section'	=> 'estate_rental_listings_header_section',
		'type'		=> 'icon'
	)));

	/*Main Header Button Text*/
	$wp_customize->add_setting(
		'estate_rental_listings_header_button_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Get A Quote',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_header_button_text',
		array(
			'label'       => __('Edit Button Text ', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_header_section',
			'type'        => 'text',
		)
	);

	/*Main Header Button Link*/
	$wp_customize->add_setting(
		'estate_rental_listings_header_button_link',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_header_button_link',
		array(
			'label'       => __('Edit Button Link ', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'estate_rental_listings_header_search',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_header_search',
		array(
			'label'       => __('Enable Disable Search', 'estate-rental-listings'),
			'description' => __('Enable or Disable header Search', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_header_section',
			'type'        => 'checkbox',
		)
	);

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('estate_rental_listings_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Slider Options', 'estate-rental-listings'),
		'panel'       => 'estate_rental_listings_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'estate_rental_listings_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_enable_slider',
		array(
			'label'       => __('Enable Main Slider', 'estate-rental-listings'),
			'description' => __('Checked to show the main slider', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_slider_section',
			'type'        => 'checkbox',
		)
	);

	for ($estate_rental_listings_i=1; $estate_rental_listings_i <= 3; $estate_rental_listings_i++) { 

		/*Main Slider Image*/
		$wp_customize->add_setting(
			'estate_rental_listings_slider_image'.$estate_rental_listings_i,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'estate_rental_listings_slider_image'.$estate_rental_listings_i, 
				array(
			        'label' => __('Edit Slider Image ', 'estate-rental-listings') .$estate_rental_listings_i,
			        'description' => __('Edit the slider image.', 'estate-rental-listings'),
			        'section' => 'estate_rental_listings_slider_section',
				)
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'estate_rental_listings_slider_top_text'.$estate_rental_listings_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'estate_rental_listings_slider_top_text'.$estate_rental_listings_i,
			array(
				'label'       => __('Edit Slider Top Text ', 'estate-rental-listings') .$estate_rental_listings_i,
				'description' => __('Edit the slider Top text.', 'estate-rental-listings'),
				'section'     => 'estate_rental_listings_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'estate_rental_listings_slider_heading'.$estate_rental_listings_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'estate_rental_listings_slider_heading'.$estate_rental_listings_i,
			array(
				'label'       => __('Edit Heading Text ', 'estate-rental-listings') .$estate_rental_listings_i,
				'description' => __('Edit the slider heading text.', 'estate-rental-listings'),
				'section'     => 'estate_rental_listings_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Content*/
		$wp_customize->add_setting(
			'estate_rental_listings_slider_text'.$estate_rental_listings_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'estate_rental_listings_slider_text'.$estate_rental_listings_i,
			array(
				'label'       => __('Edit Content Text ', 'estate-rental-listings') .$estate_rental_listings_i,
				'description' => __('Edit the slider content text.', 'estate-rental-listings'),
				'section'     => 'estate_rental_listings_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 Text*/
		$wp_customize->add_setting(
			'estate_rental_listings_slider_button1_text'.$estate_rental_listings_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'estate_rental_listings_slider_button1_text'.$estate_rental_listings_i,
			array(
				'label'       => __('Edit Button #1 Text ', 'estate-rental-listings') .$estate_rental_listings_i,
				'description' => __('Edit the slider button text.', 'estate-rental-listings'),
				'section'     => 'estate_rental_listings_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'estate_rental_listings_slider_button1_link'.$estate_rental_listings_i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'estate_rental_listings_slider_button1_link'.$estate_rental_listings_i,
			array(
				'label'       => __('Edit Button #1 URL ', 'estate-rental-listings') .$estate_rental_listings_i,
				'description' => __('Edit the slider button url.', 'estate-rental-listings'),
				'section'     => 'estate_rental_listings_slider_section',
				'type'        => 'url',
			)
		);
	}

	/*
	* Customizer Blog section
	*/
	/*Blog Options*/
	$wp_customize->add_section('estate_rental_listings_events_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Our Projects Options', 'estate-rental-listings'),
		'panel'       => 'estate_rental_listings_panel',
	));

	/*Blog Enable Option*/
	$wp_customize->add_setting(
		'estate_rental_listings_enable_event',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_enable_event',
		array(
			'label'       => __('Enable Our Projects Section', 'estate-rental-listings'),
			'description' => __('Checked to show the category', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_events_section',
			'type'        => 'checkbox',
		)
	);

	/*Blog Heading*/
	$wp_customize->add_setting(
		'estate_rental_listings_event_heading',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_event_heading',
		array(
			'label'       => __('Edit Section Heading', 'estate-rental-listings'),
			'description' => __('Edit Our Projects section heading', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_events_section',
			'type'        => 'text',
		)
	);

	/*Blog Text*/
	$wp_customize->add_setting(
		'estate_rental_listings_event_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_event_text',
		array(
			'label'       => __('Edit Section Text', 'estate-rental-listings'),
			'description' => __('Edit Our Projects section text', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_events_section',
			'type'        => 'text',
		)
	);


	$estate_rental_listings_categories = get_categories();
	$estate_rental_listings_cats = array();
	$estate_rental_listings_i = 0;
	$estate_rental_listings_cat_pst1[]= 'select';
	foreach($estate_rental_listings_categories as $estate_rental_listings_category){
		if($estate_rental_listings_i==0){
			$estate_rental_listings_default = $estate_rental_listings_category->slug;
			$estate_rental_listings_i++;
		}
		$estate_rental_listings_cat_pst1[$estate_rental_listings_category->slug] = $estate_rental_listings_category->name;
	}

	$wp_customize->add_setting(
		'estate_rental_listings_blog_cat',
		array(
		    'default' => 'uncategorized',
		    'sanitize_callback' => 'estate_rental_listings_sanitize_choices',
  		)
  	);

  	$wp_customize->add_control(
  		'estate_rental_listings_blog_cat',
  		array(
		    'type'    => 'select',
		    'choices' => $estate_rental_listings_cat_pst1,
		    'label' => __('Select Category to display Our Projects','estate-rental-listings'),
		    'section' => 'estate_rental_listings_events_section',
		)
	);

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('estate_rental_listings_footer_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'estate-rental-listings'),
		'panel'       => 'estate_rental_listings_panel',
	));

/*Footer Enable Option*/
	$wp_customize->add_setting(
		'estate_rental_listings_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'estate_rental_listings_enable_footer',
		array(
			'label'       => __('Enable Footer', 'estate-rental-listings'),
			'description' => __('Checked to show Footer', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('estate_rental_listings_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'estate_rental_listings_footer_bg_image',array(
        'label' => __('Footer Background Image','estate-rental-listings'),
        'section' => 'estate_rental_listings_footer_section',
        'priority' => 1,
    )));

	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'estate_rental_listings_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'estate-rental-listings'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_footer_section',
			'type'        => 'checkbox',
		)
	);	

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'estate_rental_listings_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'estate_rental_listings_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'estate-rental-listings'),
			'description' => __('Checked to enable Go To Top option.', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('estate_rental_listings_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'estate_rental_listings_sanitize_choices'
    ));
    $wp_customize->add_control('estate_rental_listings_go_to_top_position',array(
        'type' => 'select',
        'section' => 'estate_rental_listings_footer_section',
        'label' => esc_html__('Go To Top Positions','estate-rental-listings'),
        'choices' => array(
            'Right' => __('Right','estate-rental-listings'),
            'Left' => __('Left','estate-rental-listings'),
            'Center' => __('Center','estate-rental-listings')
        ),
    ) );


	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'estate_rental_listings_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'estate_rental_listings_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'estate-rental-listings'),
			'description' => __('Edit the Footer Copyright Section.', 'estate-rental-listings'),
			'section'     => 'estate_rental_listings_footer_section',
			'type'        => 'text',
		)
	);
}
add_action( 'customize_register', 'Estate_Rental_Listings_Customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function Estate_Rental_Listings_Customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function Estate_Rental_Listings_Customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function Estate_Rental_Listings_Customize_preview_js() {
	wp_enqueue_script( 'estate-rental-listings-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), ESTATE_RENTAL_LISTINGS_VERSION, true );
}
add_action( 'customize_preview_init', 'Estate_Rental_Listings_Customize_preview_js' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Estate_Rental_Listings_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	*/
	public function sections( $manager ) {
		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'estate_rental_listings_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section( new Estate_Rental_Listings_Customize_Section_Pro( $manager,'estate_rental_listings_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Estate Rental Listings Pro', 'estate-rental-listings' ),
			'pro_text' => esc_html__( 'Buy Pro', 'estate-rental-listings' ),
			'pro_url'    => esc_url( ESTATE_RENTAL_LISTINGS_BUY_NOW ),
		) )	);

		// Register sections.
		$manager->add_section( new Estate_Rental_Listings_Customize_Section_Pro( $manager,'estate_rental_listings_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'estate-rental-listings' ),
			'pro_text' => esc_html__( 'Instruction', 'estate-rental-listings' ),
			'pro_url'    => esc_url( ESTATE_RENTAL_LISTINGS_LITE_DOC ),
		) )	);

		$manager->add_section( new Estate_Rental_Listings_Customize_Section_Pro( $manager, 'estate_rental_listings_live_demo', array(
		    'priority'   => 1,
		    'title'      => esc_html__( 'Pro Theme Demo', 'estate-rental-listings' ),
		    'pro_text'   => esc_html__( 'Live Preview', 'estate-rental-listings' ),
		    'pro_url'    => esc_url( ESTATE_RENTAL_LISTINGS_LIVE_DEMO ),
		) ) );	
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'estate-rental-listings-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'estate-rental-listings-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Estate_Rental_Listings_Customize::get_instance();